Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 274315 - net-libs/gloox: fails to build with gcc-4.4
Summary: net-libs/gloox: fails to build with gcc-4.4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Markus Ullmann (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-06-16 11:28 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-07-30 15:47 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (gloox-0.9.9.5:20090616-083824.log,65.08 KB, text/plain)
2009-06-16 11:29 UTC, Diego Elio Pettenò (RETIRED)
Details
Patch allowing net-libs/gloox-0.9.9.5 to build against gcc 4.4 (gloox-0.9.9.5-gcc44.patch,804 bytes, patch)
2009-06-18 15:38 UTC, Víctor Ostorga (RETIRED)
Details | Diff
Patch allowing net-libs/gloox-0.9.8 to build against gcc 4.4 (gloox-0.9.8-gcc44.patch,3.06 KB, patch)
2009-06-18 16:51 UTC, Víctor Ostorga (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-06-16 11:28:44 UTC
As per summary, check attached build log.
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-06-16 11:29:15 UTC
Created attachment 194857 [details]
Build log
Comment 2 Víctor Ostorga (RETIRED) gentoo-dev 2009-06-18 15:38:56 UTC
Created attachment 195091 [details, diff]
Patch allowing net-libs/gloox-0.9.9.5 to build against gcc 4.4
Comment 3 Víctor Ostorga (RETIRED) gentoo-dev 2009-06-18 16:51:26 UTC
Created attachment 195099 [details, diff]
Patch allowing net-libs/gloox-0.9.8 to build against gcc 4.4

This is the current stable version
Comment 4 Samuli Suominen gentoo-dev 2009-07-30 15:47:57 UTC
fixed, thanks